/******************************************************************************
 * MiniFFS : Mini Flat File System
 * mffs.c: Offline tool for building mffs images.
 *
 * Copyright (c) 2008-2022 986-Studio. All rights reserved.
 *
 ******************************************************************************/

#include <stdio.h>
#include <stdint.h>

#include <miniffs.h>

#include <cJSON/cJSON.h>

int main(int argc, char *argv[])
{
    miniffs_t *fs;

    printf("mffs version %s\n", VERSION);

    fs = miniffs_createfs();
    miniffs_addfile(fs, "HELLO", "TXT", "test/hello.txt");

    miniffs_writeimage(fs, "test/output.mffs");
    miniffs_closefs(fs);

    return 0;
}
